body, html {
	background-color: transparent;
}

*:hover {
	cursor: default;
}

.scroll-up-btn {
	position: fixed;
	bottom: 40px;
	right: 1%;
	width: 40px;
	height: 40px;
	border-radius: 40px;
	background-color: var(--legacy-gold);
	background-image: url('../Assets/Icons/ArrowUp.svg');
	background-size: contain;
	background-repeat: no-repeat;
	background-origin: content-box;
	padding: 3px;
	z-index: 150;
	visibility: hidden;
	opacity: 0;
}

	.scroll-up-btn:hover {
		cursor: pointer;
	}

.top-logo-container {
	top: 0;
	height: 80px;
	background-color: var(--legacy-blue);
}

.top-logo-image {
	height: 70px;
	width: 70px;
	background-image: url('../Assets/Icons/Legacy_logo.svg');
	background-size: contain;
	background-repeat: no-repeat;
	float: left;
	position: absolute;
	margin: 10px;
}

	.top-logo-image:hover {
		cursor: pointer;
	}

.top-logo-text {
	font-family: var(--title-text);
	font-size: 1.6rem;
	letter-spacing: 0.1em;
	height: 79px;
	float: left;
	color: #FFFFFF;
	position: absolute;
	left: 90px;
	top: 30px;
}

	.top-logo-text:hover {
		cursor: pointer;
	}

.header-section {
	background-color: var(--legacy-blue);
	height: 40vmin;
	width: auto;
	display: flex;
	justify-content: center;
	align-items: center;
}

.header_left {
	width: 50%;
	height: 100%;
	background-image: url("../Assets/Background/L_logo.svg");
	background-size: contain;
	background-repeat: no-repeat;
	padding-bottom: 10%;
	position: relative;
}

.header_right {
	width: 50%;
	height: 100%;
	padding-bottom: 10%;
	position: relative;
}

.header-title {
	position: absolute;
	color: var(--legacy-red);
	font-family: var(--title-text);
	letter-spacing: 0.1em;
	font-size: 3.3rem;
	bottom: 8.5%;
	right: 10%;
	padding-bottom: 0;
}

.header-text {
	position: absolute;
	font-size: 2rem;
	width: 300px;
	bottom: 10%;
	left: 10%;
}

	.header-text span {
		color: var(--legacy-gold);
		white-space: nowrap;
		cursor: pointer;
	}

.header-text a {
	text-decoration: none;
}

.images-section {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
}

.image-container {
	width: 45%;
	height: auto;
	display: inline-block;
	overflow: hidden;
	margin: 0.5%;
	background-color: var(--legacy-blue);
	position: relative;
	-webkit-box-shadow: 5px 3px 3px 0 rgba(0,0,0,0.25);
	box-shadow: 5px 3px 3px 0 rgba(0,0,0,0.25);
}

	.image-container img {
		flex: 45%;
		width: 100%;
		height: 100%;
		object-fit: cover;
		-moz-transition: all 0.3s;
		-webkit-transition: all 0.3s;
		transition: all 0.3s;
		display: block;
		color: #FFFFFF;
		font-size: 30px;
		z-index: 100;
	}

	.image-container:hover img {
		-moz-transform: scale(1.1);
		-webkit-transform: scale(1.1);
		transform: scale(1.1);
		opacity: 0.1;
	}

	.image-container:hover .image-overlay-text {
		opacity: 1;
	}

.image-overlay-text {
	position: absolute;
	top: 50%;
	left: 50%;
	text-align: center;
	transform: translate(-50%, -50%);
	width: 70%;
	opacity: 0;
}

	.image-overlay-text:hover img {
		-moz-transform: scale(1.1);
		-webkit-transform: scale(1.1);
		transform: scale(1.1);
		opacity: 0.1;
	}

	.image-overlay-text:hover .image-overlay-text {
		opacity: 1;
	}

.image-overlay-text-top {
	color: var(--legacy-gold);
	font-family: var(--title-text);
	letter-spacing: 0.1em;
	font-size: 300%;
}

.image-overlay-text-bottom {
	text-align: center;
	font-size: 280%;
}

.footer-section {
	margin-top: 5%;
	background-color: var(--legacy-blue);
	height: 60px;
	width: 100%;
	text-align: center;
	font-size: 280%;
	padding-top: 20px;
}

	.footer-section a {
		color: #FFFFFF;
		text-decoration: none;
	}

.footer-section span:hover {
	cursor: pointer;
}

@media only screen and (max-width: 700px), (orientation: portrait) {
	.scroll-up-btn {
		right: 5%;
	}

	.header-section {
		height: 50vmin;
	}

	.top-logo-image {
		height: 50px;
		width: 50px;
		margin: 15px;
	}

	.top-logo-text {
		font-size: 1.4rem;
		left: 75px;
		top: 30px;
	}

	.header-title {
		font-size: 4.5vmin;
		right: 3%;
		line-height: 5vmin;
	}

	.header-text {
		font-size: 3vmin;
		width: 70%;
	}

	.image-container {
		width: 80%;
	}

		.image-container img {
			flex: 100%;
		}
}
